Qore PgsqlSqlUtil Module Reference 1.0

- Main Page
- Related Pages
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Functions Variables Groups Pages
Public Member Functions | Public Attributes | Private Member Functions | List of all members
PgsqlSqlUtil::PgsqlIndex Class Reference

represents a PostgreSQL-specific index More...

Inheritance diagram for PgsqlSqlUtil::PgsqlIndex:
[legend]

## Public Member Functions
| constructor (string n_name, bool n_unique, hash n_cols, *string n_tablespace)
| creates the object from the arguments
string | getCreateSql (string table_name, *hash opt)
| returns a string that can be used to create the index in the database
string | getRenameSql (string table_name, string new_name)
| returns a string that can be used to rename the index in the database

## Public Attributes
*string | tablespace
| the tablespace name of the index

## Private Member Functions
bool | equalImpl (AbstractIndex ix)
| returns True if the argument is equal to the current index, False if not

## Detailed Description

represents a PostgreSQL-specific index